commit:     9d4e50434ccd4e5b9c612afc2636adeefa2a8336
Author:     Jonas Stein <jstein <AT> gentoo <DOT> org>
AuthorDate: Fri Jun 28 18:17:54 2019 +0000
Commit:     Jonas Stein <jstein <AT> gentoo <DOT> org>
CommitDate: Fri Jun 28 18:18:48 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9d4e5043

app-text/tree: Version bump to 1.8.0

Version bump and EAPI=7
Removed RDEPEND !=sci-biology/meme-4.8.1,
because it is no longer in the tree.
Closes: https://bugs.gentoo.org/676078
Package-Manager: Portage-2.3.67, Repoman-2.3.14
Signed-off-by: Jonas Stein <jstein <AT> gentoo.org>

 app-text/tree/Manifest          |  1 +
 app-text/tree/tree-1.8.0.ebuild | 42 +++++++++++++++++++++++++++++++++++++++++
 2 files changed, 43 insertions(+)

diff --git a/app-text/tree/Manifest b/app-text/tree/Manifest
index 34e68406c61..e3b2ce84306 100644
--- a/app-text/tree/Manifest
+++ b/app-text/tree/Manifest
@@ -1 +1,2 @@
 DIST tree-1.7.0.tgz 47082 BLAKE2B 
07449f50a44f857733679ae92a54a9dd61fe19b282f9244534393527d5f344835864e2acff3b2c43ed406d65657568b21440044af21fed2c4ab623e88d2e396c
 SHA512 
b234fb1428ba75da72d7e4aeb24bf961e123332342593e441b29a0baa2270d12bb187d889c179d6463c940c8dce9fe9dffeb4ad3f06cf11f057b83234d7b4b4a
+DIST tree-1.8.0.tgz 50286 BLAKE2B 
51a27500b89a46add6e792d446b465696d2b34339bbd06f03baff9ce589131b5d82c414849f891dbb79a3f3cfb23b89336e783ad23b84c1fb5415a13fb9488cd
 SHA512 
3f657a6278ec5eab2fccab39dfd69bf9376811189a368b5e3213dc900b90a4e7a4961fc58eb80ad2efd5b40d2fbd0146ec59f30fe0bba576f93519214f240695

diff --git a/app-text/tree/tree-1.8.0.ebuild b/app-text/tree/tree-1.8.0.ebuild
new file mode 100644
index 00000000000..4737aa83e4e
--- /dev/null
+++ b/app-text/tree/tree-1.8.0.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+inherit toolchain-funcs flag-o-matic bash-completion-r1
+
+DESCRIPTION="Lists directories recursively, and produces an indented listing 
of files"
+HOMEPAGE="http://mama.indstate.edu/users/ice/tree/";
+SRC_URI="ftp://mama.indstate.edu/linux/tree/${P}.tgz";
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv 
~s390 ~sh ~sparc ~x86 ~amd64-linux ~x86-linux ~x64-macos ~x86-macos"
+IUSE=""
+
+RDEPEND=""
+DEPEND=""
+
+src_prepare() {
+       sed -i -e 's:LINUX:__linux__:' tree.c || die
+       mv doc/tree.1.fr doc/tree.fr.1
+       if use !elibc_glibc ; then
+               # 433972, also previously done only for elibc_uclibc
+               sed -i -e '/^OBJS=/s/$/ strverscmp.o/' Makefile || die
+       fi
+       default
+}
+
+src_compile() {
+       append-lfs-flags
+       emake \
+               CC="$(tc-getCC)" \
+               CFLAGS="${CFLAGS} ${CPPFLAGS}" \
+               LDFLAGS="${LDFLAGS}"
+}
+
+src_install() {
+       dobin tree
+       doman doc/tree*.1
+       einstalldocs
+       newbashcomp "${FILESDIR}"/${PN}.bashcomp ${PN}
+}

Reply via email to